<?php

Doo::loadCore('db/DooModel');

class receiptDetail extends DooModel {

    public $rdid;
    public $item;
    public $staff;
    
    public $itemCategory;
    public $price;
    
    public $date;
    public $pastDate;
    public $cid;
    
    public $rid;
    public $status;
    
    public $_table = 'CLD_receiptDetail';
    public $_primarykey = 'rdid';
    
    public $_fields = array('rdid', 'item', 'staff', 'itemCategory', 'price', 'date','pastDate', 'cid', 'rid', 'status');

    /**
     * 按人员年月合计报销单项目金额
     * @param string $sid
     * @param string $year
     * @param string $month
     * @return unknown
     */
    function getReceiptTotalItem($sid='',$year='',$month=''){
    	if(empty($sid))
    		return array();
    	$list=$this->find ( array (
    			'select' => 'staff,item,sum(price) as price,itemCategory,Month(pastDate) as month',
    			'where' => 'staff=' . $sid . " and status=1 and Year(pastDate)=" . $year . ' and Month(pastDate)=' . $month,
    			'groupby' => 'item,Month(pastDate),itemCategory',
    			'asArray' => true
    	) );
    	return $list;
    }
    
    /**
     * 按人员年月合计报销单大项金额
     * @param string $sid
     * @param string $year
     * @param string $month
     * @return unknown
     */
    function getReceiptTotalItemCategory($sid='',$year='',$month=''){
    	if(empty($sid))
    		return array();
    	$list=$this->find ( array (
    			'select' => 'staff,sum(price) as price,itemCategory,Month(pastDate) as month',
    			'where' => 'staff=' . $sid . " and status=1 and Year(pastDate)=" . $year . ' and Month(pastDate)=' . $month,
    			'groupby' => 'Month(pastDate),itemCategory',
    			'asArray' => true
    	) );
    	return $list;
    }
    
    /**
     * 根据RID 项目详情获得信息
     * @param string $rid
     * @param string $item
     * @param string $itemCategory
     * @return unknown
     */
    function getReceiptDetailByRIC($rid='',$item='',$itemCategory=''){
    	if (!is_numeric($rid)||empty($item)||empty($itemCategory)){
    		return array();
    	}
    	
    	$rinfo = $this->getOne ( array (
    			'where' => 'rid=' . $rid.' and item like "'.$item.'" and itemCategory like "'.$itemCategory.'"',
    			'asArray' => true
    	) );
    	
    	return $rinfo;
    }
    
}

?>